<?xml version="1.0" encoding="UTF-8"?>

<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
            targetNamespace="http://xml.netbeans.org/schema/CheckAssociationToCall"
            xmlns:tns="http://xml.netbeans.org/schema/CheckAssociationToCall"
            elementFormDefault="qualified">
    <xsd:complexType name="checkAssociationToCallRequest">
        <xsd:sequence>
            <xsd:element name="userAccountID" type="xsd:int"/>
            <xsd:element name="callForTendersID" type="xsd:int"/>
        </xsd:sequence>
    </xsd:complexType>
   
    <xsd:complexType name="checkAssociationToCallResponse">
        <xsd:sequence>
            <xsd:element name="return" type="xsd:boolean"/>
            <xsd:element name="returnMessage" type="xsd:string"/>
            <xsd:element name="associatedAs" type="xsd:string"/>
            <xsd:element name="associatedRole" minOccurs="0" maxOccurs="1">
                <xsd:complexType>
                    <xsd:sequence>
                        <xsd:element name="role" type="xsd:string" maxOccurs="unbounded"/>
                    </xsd:sequence>
                </xsd:complexType>
            </xsd:element>
        </xsd:sequence>
    </xsd:complexType>
    <xsd:element name="checkAssociationToCallRequest" type="tns:checkAssociationToCallRequest"/>
    <xsd:element name="checkAssociationToCallResponse" type="tns:checkAssociationToCallResponse"/>
</xsd:schema>
